var draw_peripheral = function() {
    getFullPanel(0, 0, 2, 2, "tab-page-basic_systems", "sec-peripheral", "PERIPHERAL", "", "VER 1.0");
    var panel = document.getElementById("sec-peripheral");
    panel.innerHTML += draw_peripheral_0();
    panel.innerHTML += draw_peripheral_1();
}

var draw_peripheral_0 = function() {
    var html = getSectionTitle('DEVICE COUNTERS');
    var rows = '';
    var row = '';
    row = getInfoCell('', 'TOTAL');
    row += getInfoCell('device-counters-total', '1');
    row += getInfoCell('', 'FLOW');
    row += getInfoCell('device-counters-flow', '1');
    rows += getInfoRow(row);
    row = getInfoCell('', 'FC');
    row += getInfoCell('device-counters-fc', '1');
    row += getInfoCell('', 'HYDRAULIC');
    row += getInfoCell('device-counters-hydr', '1');
    rows += getInfoRow(row);

    html += getTabel(rows);
    html = getPanel(html);
    return html;
}

var draw_peripheral_1 = function() {
    var html = getSectionTitle('DEVICE FLAGS');
    var rows = '';
    var row = '';
    row = getInfoCell('devices-flow-flag', 'P_FLOW');
    row += getInfoCell('devices-fc-flag', 'P_FCPE');
    row += getInfoCell('devices-hydraulic-flag', 'P_HYDR');
    row += getInfoCell('devices-new-flag', 'NEW_DE');
    rows += getInfoRow(row);
    row = getInfoCell('devices-flow-disabled', 'D_FLOW');
    row += getInfoCell('devices-fc-disabled', 'D_FCPE');
    row += getInfoCell('devices-hydraulic-disabled', 'D_HYDR');
    rows += getInfoRow(row);

    html += getTabel(rows);
    html = getPanel(html);
    return html;
}

draw_peripheral();